Subject: Re: Q: X-Emulation for Win32
From: [email-masked] (Alistair J Riddoch)

11 Nov 1996 08:47:48 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

> Sirs,
> 
> did any good soul adapt the X-include-files of unix/X11 and the 
> function calls to win32. I dont want a X-server, but a possibility to
> compile and run X programs under Win95/NT. 
> 
> It should be possible to compile and run xeyes and other stuff under 
> gnu-win32 without a X-server. I dont need the connection to a X-client 
> on another machine, but only the possibility to run X-programs locally.
> 
> Perhaps ....
> 
> 
A port of most of the clients, libraries and header files has been done
and can be found at:

http://ftp.uni-mannheim.de/systems/windows/win32/winnt-local/x11r6bin.zip

I have got all the clients working fine using a demo version of an X
server called X-Win32, and have got twm to compile right until the final
link. The final link fails because the libraries are in X11.lib format,
not libX11.a as gnu-win32 expects. I would very much like to know whether
it is possible to get past this last stage, either with another linker,
or by converting the libraries in some way.

Alistair Riddoch

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".